%global momorel 3

Summary: An arbitrary precision integer and multiple precision floatingpoint calculator
Name:    genius
Version: 1.0.2
Release: %{momorel}m%{?dist}
Group:   Applications/Engineering
License: GPL
URL:     http://www.jirka.org/genius.html
Source0: http://ftp.5z.com/pub/genius/%{name}-%{version}.tar.bz2
NoSource: 0
Requires: libgnomeui gtksourceview
Requires: gmp ncurses readline
BuildRequires: desktop-file-utils
BuildRequires:  vte-devel
BuildRequires:  readline-devel
BuildRequires:  gmp-devel
BuildRequires:  mpfr-devel
BuildRequires:  popt
BuildRequires:  pkgconfig
BuildRequires:  intltool
BuildRequires:  gtksourceview-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  flex
BuildRequires:  gettext
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Genius is a general purpose calculator program similiar in some aspects to BC, Matlab, Maple or Mathematica. It is useful both as a simple calculator and as a research or educational tool. The syntax is very intuitive and is designed to mimic how mathematics is usually written. GEL is the name of its extention language, it stands for Genius Extension Language, clever isn't it? In fact, many of the standard genius functions are written in GEL itself.

%package devel
Summary:        Development files for Genius
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for Genius.


%package -n gnome-genius
Summary:        GNOME frontend for Genius
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description -n gnome-genius
GNOME frontend for Genius.


%prep
#'
%setup -q
sed -i "s|Mime-Type|MimeType|" src/gnome-genius.desktop*
find -name \*.c | xargs chmod 0644

%build
%configure --disable-static
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install \
    --vendor "" \
    --add-category Science \
    --add-category Math \
    --remove-category Education \
    --remove-category Utility \
    --remove-category Office \
    --remove-category Scientific \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/gnome-genius.desktop


rm -rf %{buildroot}%{_datadir}/mime/{XMLnamespaces,aliases,globs,magic,mime.cache,subclasses,text}
rm -rf %{buildroot}%{_datadir}/mime/{generic-icons,globs2,icons}
rm -rf %{buildroot}%{_libdir}
rm -f %{buildroot}%{_datadir}/genius/plugins/test.plugin
rm -rf %{buildroot}%{_datadir}/application-registry
rm -rf %{buildroot}%{_datadir}/mime-info
rm -rf %{buildroot}/var

%find_lang %{name}

%post -n gnome-genius
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database > /dev/null 2>&1 ||:
scrollkeeper-update -q -o %{_datadir}/omf/genius ||:
gtk-update-icon-cache -qf /usr/share/icons/hicolor &> /dev/null || :


%postun -n gnome-genius
if [ $1 -eq 0 ]; then
  update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
  update-desktop-database > /dev/null 2>&1 ||:
  scrollkeeper-update -q ||:
  gtk-update-icon-cache -qf /usr/share/icons/hicolor &> /dev/null || :
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README INSTALL* ChangeLog AUTHORS COPYING NEWS TODO
%{_bindir}/genius
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/genius

%files -n gnome-genius
%defattr(-,root,root,-)
%{_bindir}/gnome-genius
%{_libexecdir}/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_datadir}/gnome/help/genius
%{_datadir}/omf/genius

%changelog
* Wed Jul  9 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-3m)
- fix delete file name

* Tue Jul  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.2-2m)
- delete unpackaged files

* Mon Apr 14 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.2-1m)
- import to Momonga 

